Index: Thuban/version.py
===================================================================
--- Thuban/version.py	(Revision 2772)
+++ Thuban/version.py	(Arbeitskopie)
@@ -39,7 +39,7 @@
 #
 
 thuban_branch = "1.2"
-thuban_release = "0"
+thuban_release = "svn-WIP-pyshapelib-bramz"
 
 
 
@@ -91,7 +91,7 @@
 
 versions = {}
 
-if thuban_release == "svn":
+if thuban_release[0:3] == "svn":
     version = '%s %s-%s' % (thuban_branch, thuban_release, get_date('%Y%m%d'))
     longversion = '%s\n%s' % (version, get_changelog_date())
 else:
Index: Thuban/UI/__init__.py
===================================================================
--- Thuban/UI/__init__.py	(Revision 2772)
+++ Thuban/UI/__init__.py	(Arbeitskopie)
@@ -18,6 +18,9 @@
     if not Thuban.translation_function_installed():
         # Only import wx modules when we actually can install the
         # function so that the test suite can inhibit this
+	import wxversion
+	wxversion.select("2.6")
+
         import wx
         wx.Locale_AddCatalogLookupPathPrefix(Thuban._message_dir)
         _locale = wx.Locale()
Index: README
===================================================================
--- README	(Revision 2772)
+++ README	(Arbeitskopie)
@@ -25,7 +25,7 @@
 
 Thuban requires the following software to be installed:
 
-  Python     2.2.1    http://www.python.org
+  Python     2.4.4    http://www.python.org
   wxWidgets  2.6.3.2  http://www.wxwidgets.org (formerly known as wxWindows)
   wxPython   2.6.3.2  http://www.wxpython.org
   proj       4.4.5    http://www.remotesensing.org/proj/
Index: libraries/pyshapelib/pyshapelib_common.h
===================================================================
--- libraries/pyshapelib/pyshapelib_common.h	(Revision 2772)
+++ libraries/pyshapelib/pyshapelib_common.h	(Arbeitskopie)
@@ -10,6 +10,15 @@
 #define PYSHAPELIB_H
 
 #include <Python.h>
+#ifndef Py_RETURN_NONE /* python2.4 should have this macro */
+	/* otherwise we must define it and a few others: */
+	/* Macro for returning Py_None from a function */
+#       define Py_RETURN_NONE return Py_INCREF(Py_None), Py_None
+	/* Macros for returning Py_True or Py_False, respectively */
+#       define Py_RETURN_TRUE return Py_INCREF(Py_True), Py_True
+#       define Py_RETURN_FALSE return Py_INCREF(Py_False), Py_False
+#endif
+
 #include <structmember.h>
 #include "shapefil.h"
 #include "pyshapelib_api.h"
@@ -103,4 +112,4 @@
 #define PYSHAPELIB_NO_DATA_LIMIT 1e-38
 #define PYSHAPELIB_NO_DATA 0
 
-#endif
\ No newline at end of file
+#endif
